Index: plugins/maintenance/_prepend.php
===================================================================
--- plugins/maintenance/_prepend.php	(revision 2095)
+++ plugins/maintenance/_prepend.php	(revision 3324)
@@ -19,4 +19,5 @@
 
 $__autoload['dcMaintenanceCache'] = dirname(__FILE__).'/inc/tasks/class.dc.maintenance.cache.php';
+$__autoload['dcMaintenanceCSP'] = dirname(__FILE__).'/inc/tasks/class.dc.maintenance.csp.php';
 $__autoload['dcMaintenanceCountcomments'] = dirname(__FILE__).'/inc/tasks/class.dc.maintenance.countcomments.php';
 $__autoload['dcMaintenanceIndexcomments'] = dirname(__FILE__).'/inc/tasks/class.dc.maintenance.indexcomments.php';
Index: plugins/maintenance/inc/tasks/class.dc.maintenance.csp.php
===================================================================
--- plugins/maintenance/inc/tasks/class.dc.maintenance.csp.php	(revision 3324)
+++ plugins/maintenance/inc/tasks/class.dc.maintenance.csp.php	(revision 3324)
@@ -0,0 +1,36 @@
+<?php
+# -- BEGIN LICENSE BLOCK ---------------------------------------
+#
+# This file is part of Dotclear 2.
+#
+# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Licensed under the GPL version 2.0 license.
+# See LICENSE file or
+# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
+#
+# -- END LICENSE BLOCK -----------------------------------------
+if (!defined('DC_RC_PATH')) { return; }
+
+class dcMaintenanceCSP extends dcMaintenanceTask
+{
+	protected $group = 'purge';
+
+	protected function init()
+	{
+		$this->task 		= __('Delete the Content-Security-Policy report file');
+		$this->success 		= __('Content-Security-Policy report file has been deleted.');
+		$this->error 		= __('Failed to delete the Content-Security-Policy report file.');
+
+		$this->description = __("Remove the Content-Security-Policy report file.");
+	}
+
+	public function execute()
+	{
+		$csp_file = path::real(DC_TPL_CACHE).'/csp_report.txt';
+		if (file_exists($csp_file)) {
+			unlink($csp_file);
+		}
+
+		return true;
+	}
+}
Index: plugins/maintenance/inc/tasks/class.dc.maintenance.indexcomments.php
===================================================================
--- plugins/maintenance/inc/tasks/class.dc.maintenance.indexcomments.php	(revision 2566)
+++ plugins/maintenance/inc/tasks/class.dc.maintenance.indexcomments.php	(revision 3340)
@@ -35,5 +35,5 @@
 		$this->code = $this->core->indexAllComments($this->code, $this->limit);
 
-		return $this->code ? $this->code : true;
+		return $this->code ?: true;
 	}
 
Index: plugins/maintenance/inc/tasks/class.dc.maintenance.indexposts.php
===================================================================
--- plugins/maintenance/inc/tasks/class.dc.maintenance.indexposts.php	(revision 2044)
+++ plugins/maintenance/inc/tasks/class.dc.maintenance.indexposts.php	(revision 3340)
@@ -35,5 +35,5 @@
 		$this->code = $this->core->indexAllPosts($this->code, $this->limit);
 
-		return $this->code ? $this->code : true;
+		return $this->code ?: true;
 	}
 
Index: plugins/maintenance/inc/tasks/class.dc.maintenance.synchpostsmeta.php
===================================================================
--- plugins/maintenance/inc/tasks/class.dc.maintenance.synchpostsmeta.php	(revision 2044)
+++ plugins/maintenance/inc/tasks/class.dc.maintenance.synchpostsmeta.php	(revision 3340)
@@ -35,5 +35,5 @@
 		$this->code = $this->synchronizeAllPostsmeta($this->code, $this->limit);
 
-		return $this->code ? $this->code : true;
+		return $this->code ?: true;
 	}
 
Index: plugins/pings/_define.php
===================================================================
--- plugins/pings/_define.php	(revision 2566)
+++ plugins/pings/_define.php	(revision 3333)
@@ -19,5 +19,8 @@
 	array(
 		'permissions' =>	'usage,contentadmin',
-		'type'		=>		'plugin'
+		'type'		=>		'plugin',
+		'settings'	=>		array(
+								'self' => ''
+							)
 	)
 );
Index: plugins/simpleMenu/_define.php
===================================================================
--- plugins/simpleMenu/_define.php	(revision 2773)
+++ plugins/simpleMenu/_define.php	(revision 3333)
@@ -19,5 +19,8 @@
 	array(
 		'permissions' =>	'admin',
-		'type'		=>		'plugin'
+		'type'		=>		'plugin',
+		'settings'	=>		array(
+								'self' => ''
+							)
 	)
 );
Index: plugins/tags/_define.php
===================================================================
--- plugins/tags/_define.php	(revision 2924)
+++ plugins/tags/_define.php	(revision 3333)
@@ -20,5 +20,8 @@
 		'permissions' =>	'usage,contentadmin',
 		'priority' =>		1001,	// Must be higher than dcLegacyEditor/dcCKEditor priority (ie 1000)
-		'type'		=>		'plugin'
+		'type'		=>		'plugin',
+		'settings'	=>		array(
+								'pref' => '#user-options.tags_prefs'
+							)
 	)
 );
Index: plugins/tags/inc/tags.behaviors.php
===================================================================
--- plugins/tags/inc/tags.behaviors.php	(revision 3024)
+++ plugins/tags/inc/tags.behaviors.php	(revision 3333)
@@ -363,7 +363,8 @@
 
 		echo
+		'<div class="fieldset"><h5 id="tags_prefs">'.__('Tags').'</h5>'.
 		'<p><label for="user_tag_list_format" class="classic">'.__('Tags list format:').'</label> '.
 		form::combo('user_tag_list_format',$combo,$value).
-		'</p>';
+		'</p></div>';
 	}
 
Index: plugins/themeEditor/_admin.php
===================================================================
--- plugins/themeEditor/_admin.php	(revision 3257)
+++ plugins/themeEditor/_admin.php	(revision 3333)
@@ -60,5 +60,5 @@
 		echo
 			'<div class="fieldset two-cols clearfix">'.
-			'<h5>'.__('Syntax highlighting').'</h5>';
+			'<h5 id="themeEditor_prefs">'.__('Syntax highlighting').'</h5>';
 		echo
 			'<div class="col">'.
Index: plugins/themeEditor/_define.php
===================================================================
--- plugins/themeEditor/_define.php	(revision 3251)
+++ plugins/themeEditor/_define.php	(revision 3333)
@@ -18,5 +18,8 @@
 	/* Version */			'1.3',
 	array(
-		'type'		=>		'plugin'
+		'type'		=>		'plugin',
+		'settings'	=>		array(
+								'pref' => '#user-options.themeEditor_prefs'
+							)
 	)
 );
Index: plugins/widgets/_admin.php
===================================================================
--- plugins/widgets/_admin.php	(revision 2849)
+++ plugins/widgets/_admin.php	(revision 3330)
@@ -12,15 +12,6 @@
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
-$core->addBehavior('adminDashboardFavorites','widgets_dashboard_favorites');
-
-function widgets_dashboard_favorites($core,$favs)
-{
-	$favs->register('widgets', array(
-		'title' => __('Presentation widgets'),
-		'url' => $core->adminurl->get('admin.plugin.widgets'),
-		'small-icon' => dcPage::getPF('widgets/icon.png'),
-		'large-icon' => dcPage::getPF('widgets/icon-big.png'),
-	));
-}
+$core->addBehavior('adminDashboardFavorites',array('widgetsBehaviors','widgets_dashboard_favorites'));
+$core->addBehavior('adminRteFlags',array('widgetsBehaviors','adminRteFlags'));
 
 $_menu['Blog']->addItem(__('Presentation widgets'),
@@ -29,2 +20,20 @@
 		preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.widgets')).'(&.*)?$/',$_SERVER['REQUEST_URI']),
 		$core->auth->check('admin',$core->blog->id));
+
+class widgetsBehaviors
+{
+	public static function widgets_dashboard_favorites($core,$favs)
+	{
+		$favs->register('widgets', array(
+			'title' => __('Presentation widgets'),
+			'url' => $core->adminurl->get('admin.plugin.widgets'),
+			'small-icon' => dcPage::getPF('widgets/icon.png'),
+			'large-icon' => dcPage::getPF('widgets/icon-big.png'),
+		));
+	}
+
+	public static function adminRteFlags($core,$rte)
+	{
+		$rte['widgets_text'] = array(true,__('Widget\'s textareas'));
+	}
+}
Index: plugins/widgets/_define.php
===================================================================
--- plugins/widgets/_define.php	(revision 2778)
+++ plugins/widgets/_define.php	(revision 3330)
@@ -16,5 +16,5 @@
 	/* Description*/		"Widgets for your blog sidebars",
 	/* Author */			"Olivier Meunier & Dotclear Team",
-	/* Version */			'3.3',
+	/* Version */			'3.4',
 	array(
 		'permissions' =>	'admin',
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 3223)
+++ plugins/widgets/index.php	(revision 3330)
@@ -236,5 +236,12 @@
   <?php
   		$widget_editor = $core->auth->getOption('editor');
-  		echo $core->callBehavior('adminPostEditor',$widget_editor['xhtml'],'widget',array('#sidebarsWidgets textarea'),'xhtml');
+		$rte_flag = true;
+		$rte_flags  = @$core->auth->user_prefs->interface->rte_flags;
+		if (is_array($rte_flags) && in_array('widgets_text',$rte_flags)) {
+			$rte_flag = $rte_flags['widgets_text'];
+		}
+		if ($rte_flag) {
+	  		echo $core->callBehavior('adminPostEditor',$widget_editor['xhtml'],'widget',array('#sidebarsWidgets textarea'),'xhtml');
+		}
   ?>
   <?php echo(dcPage::jsConfirmClose('sidebarsWidgets')); ?>
